Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/SignalSlot/RoleService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\SignalSlot;
8
9 use eZ\Publish\API\Repository\RoleService as RoleServiceInterface;
10 use eZ\Publish\API\Repository\Values\User\Limitation\RoleLimitation;
11 use eZ\Publish\API\Repository\Values\User\Policy;
12 use eZ\Publish\API\Repository\Values\User\PolicyCreateStruct;
13 use eZ\Publish\API\Repository\Values\User\PolicyDraft;
14 use eZ\Publish\API\Repository\Values\User\PolicyUpdateStruct;
15 use eZ\Publish\API\Repository\Values\User\Role;
16 use eZ\Publish\API\Repository\Values\User\RoleAssignment;
17 use eZ\Publish\API\Repository\Values\User\RoleCreateStruct;
18 use eZ\Publish\API\Repository\Values\User\RoleDraft;
19 use eZ\Publish\API\Repository\Values\User\RoleUpdateStruct;
20 use eZ\Publish\API\Repository\Values\User\User;
21 use eZ\Publish\API\Repository\Values\User\UserGroup;
22 use eZ\Publish\Core\SignalSlot\Signal\RoleService\AddPolicyByRoleDraftSignal;
23 use eZ\Publish\Core\SignalSlot\Signal\RoleService\AddPolicySignal;
24 use eZ\Publish\Core\SignalSlot\Signal\RoleService\AssignRoleToUserGroupSignal;
25 use eZ\Publish\Core\SignalSlot\Signal\RoleService\AssignRoleToUserSignal;
26 use eZ\Publish\Core\SignalSlot\Signal\RoleService\CreateRoleDraftSignal;
27 use eZ\Publish\Core\SignalSlot\Signal\RoleService\CreateRoleSignal;
28 use eZ\Publish\Core\SignalSlot\Signal\RoleService\DeleteRoleDraftSignal;
29 use eZ\Publish\Core\SignalSlot\Signal\RoleService\DeleteRoleSignal;
30 use eZ\Publish\Core\SignalSlot\Signal\RoleService\PublishRoleDraftSignal;
31 use eZ\Publish\Core\SignalSlot\Signal\RoleService\RemovePolicyByRoleDraftSignal;
32 use eZ\Publish\Core\SignalSlot\Signal\RoleService\RemovePolicySignal;
33 use eZ\Publish\Core\SignalSlot\Signal\RoleService\RemoveRoleAssignmentSignal;
34 use eZ\Publish\Core\SignalSlot\Signal\RoleService\UnassignRoleFromUserGroupSignal;
35 use eZ\Publish\Core\SignalSlot\Signal\RoleService\UnassignRoleFromUserSignal;
36 use eZ\Publish\Core\SignalSlot\Signal\RoleService\UpdatePolicySignal;
37 use eZ\Publish\Core\SignalSlot\Signal\RoleService\UpdateRoleDraftSignal;
38 use eZ\Publish\Core\SignalSlot\Signal\RoleService\UpdateRoleSignal;
39
43 class RoleService implements RoleServiceInterface
44 {
50 protected $service;
51
57 protected $signalDispatcher;
58
68 public function __construct(RoleServiceInterface $service, SignalDispatcher $signalDispatcher)
69 {
70 $this->service = $service;
71 $this->signalDispatcher = $signalDispatcher;
72 }
73
89 public function createRole(RoleCreateStruct $roleCreateStruct)
90 {
91 $returnValue = $this->service->createRole($roleCreateStruct);
92 $this->signalDispatcher->emit(
93 new CreateRoleSignal(
94 [
95 'roleId' => $returnValue->id,
96 ]
97 )
98 );
99
100 return $returnValue;
101 }
102
116 public function createRoleDraft(Role $role)
117 {
118 $returnValue = $this->service->createRoleDraft($role);
119 $this->signalDispatcher->emit(
120 new CreateRoleDraftSignal(
121 [
122 'roleId' => $returnValue->id,
123 ]
124 )
125 );
126
127 return $returnValue;
128 }
129
142 public function loadRoleDraft($id)
143 {
144 return $this->service->loadRoleDraft($id);
145 }
146
157 public function loadRoleDraftByRoleId($roleId)
158 {
159 return $this->service->loadRoleDraftByRoleId($roleId);
160 }
161
175 public function updateRoleDraft(RoleDraft $roleDraft, RoleUpdateStruct $roleUpdateStruct)
176 {
177 $returnValue = $this->service->updateRoleDraft($roleDraft, $roleUpdateStruct);
178 $this->signalDispatcher->emit(
179 new UpdateRoleDraftSignal(
180 [
181 'roleId' => $roleDraft->id,
182 ]
183 )
184 );
185
186 return $returnValue;
187 }
188
204 public function addPolicyByRoleDraft(RoleDraft $roleDraft, PolicyCreateStruct $policyCreateStruct)
205 {
206 $returnValue = $this->service->addPolicyByRoleDraft($roleDraft, $policyCreateStruct);
207 $this->signalDispatcher->emit(
208 new AddPolicyByRoleDraftSignal(
209 [
210 'roleId' => $roleDraft->id,
211 'policyId' => $returnValue->id,
212 ]
213 )
214 );
215
216 return $returnValue;
217 }
218
232 public function removePolicyByRoleDraft(RoleDraft $roleDraft, PolicyDraft $policyDraft)
233 {
234 $returnValue = $this->service->removePolicyByRoleDraft($roleDraft, $policyDraft);
235 $this->signalDispatcher->emit(
236 new RemovePolicyByRoleDraftSignal(
237 [
238 'roleId' => $roleDraft->id,
239 'policyId' => $policyDraft->id,
240 ]
241 )
242 );
243
244 return $returnValue;
245 }
246
264 public function updatePolicyByRoleDraft(RoleDraft $roleDraft, PolicyDraft $policy, PolicyUpdateStruct $policyUpdateStruct)
265 {
266 $returnValue = $this->service->updatePolicyByRoleDraft($roleDraft, $policy, $policyUpdateStruct);
267 $this->signalDispatcher->emit(
268 new UpdatePolicySignal(
269 [
270 'policyId' => $policy->id,
271 ]
272 )
273 );
274
275 return $returnValue;
276 }
277
287 public function deleteRoleDraft(RoleDraft $roleDraft)
288 {
289 $returnValue = $this->service->deleteRoleDraft($roleDraft);
290 $this->signalDispatcher->emit(
291 new DeleteRoleDraftSignal(
292 [
293 'roleId' => $roleDraft->id,
294 ]
295 )
296 );
297
298 return $returnValue;
299 }
300
310 public function publishRoleDraft(RoleDraft $roleDraft)
311 {
312 $returnValue = $this->service->publishRoleDraft($roleDraft);
313 $this->signalDispatcher->emit(
314 new PublishRoleDraftSignal(
315 [
316 'roleId' => $roleDraft->id,
317 ]
318 )
319 );
320
321 return $returnValue;
322 }
323
337 public function updateRole(Role $role, RoleUpdateStruct $roleUpdateStruct)
338 {
339 $returnValue = $this->service->updateRole($role, $roleUpdateStruct);
340 $this->signalDispatcher->emit(
341 new UpdateRoleSignal(
342 [
343 'roleId' => $role->id,
344 ]
345 )
346 );
347
348 return $returnValue;
349 }
350
366 public function addPolicy(Role $role, PolicyCreateStruct $policyCreateStruct)
367 {
368 $returnValue = $this->service->addPolicy($role, $policyCreateStruct);
369 $this->signalDispatcher->emit(
370 new AddPolicySignal(
371 [
372 'roleId' => $role->id,
373 'policyId' => $returnValue->id,
374 ]
375 )
376 );
377
378 return $returnValue;
379 }
380
390 public function deletePolicy(Policy $policy)
391 {
392 $returnValue = $this->service->deletePolicy($policy);
393 $this->signalDispatcher->emit(
394 new RemovePolicySignal(
395 [
396 'roleId' => $policy->roleId,
397 'policyId' => $policy->id,
398 ]
399 )
400 );
401
402 return $returnValue;
403 }
404
421 public function updatePolicy(Policy $policy, PolicyUpdateStruct $policyUpdateStruct)
422 {
423 $returnValue = $this->service->updatePolicy($policy, $policyUpdateStruct);
424 $this->signalDispatcher->emit(
425 new UpdatePolicySignal(
426 [
427 'policyId' => $policy->id,
428 ]
429 )
430 );
431
432 return $returnValue;
433 }
434
445 public function loadRole($id)
446 {
447 return $this->service->loadRole($id);
448 }
449
460 public function loadRoleByIdentifier($identifier)
461 {
462 return $this->service->loadRoleByIdentifier($identifier);
463 }
464
470 public function loadRoles()
471 {
472 return $this->service->loadRoles();
473 }
474
482 public function deleteRole(Role $role)
483 {
484 $returnValue = $this->service->deleteRole($role);
485 $this->signalDispatcher->emit(
486 new DeleteRoleSignal(
487 [
488 'roleId' => $role->id,
489 ]
490 )
491 );
492
493 return $returnValue;
494 }
495
505 public function loadPoliciesByUserId($userId)
506 {
507 return $this->service->loadPoliciesByUserId($userId);
508 }
509
520 public function assignRoleToUserGroup(Role $role, UserGroup $userGroup, RoleLimitation $roleLimitation = null)
521 {
522 $returnValue = $this->service->assignRoleToUserGroup($role, $userGroup, $roleLimitation);
523 $this->signalDispatcher->emit(
524 new AssignRoleToUserGroupSignal(
525 [
526 'roleId' => $role->id,
527 'userGroupId' => $userGroup->id,
528 'roleLimitation' => $roleLimitation,
529 ]
530 )
531 );
532
533 return $returnValue;
534 }
535
545 public function unassignRoleFromUserGroup(Role $role, UserGroup $userGroup)
546 {
547 $returnValue = $this->service->unassignRoleFromUserGroup($role, $userGroup);
548 $this->signalDispatcher->emit(
549 new UnassignRoleFromUserGroupSignal(
550 [
551 'roleId' => $role->id,
552 'userGroupId' => $userGroup->id,
553 ]
554 )
555 );
556
557 return $returnValue;
558 }
559
570 public function assignRoleToUser(Role $role, User $user, RoleLimitation $roleLimitation = null)
571 {
572 $returnValue = $this->service->assignRoleToUser($role, $user, $roleLimitation);
573 $this->signalDispatcher->emit(
574 new AssignRoleToUserSignal(
575 [
576 'roleId' => $role->id,
577 'userId' => $user->id,
578 'roleLimitation' => $roleLimitation,
579 ]
580 )
581 );
582
583 return $returnValue;
584 }
585
595 public function unassignRoleFromUser(Role $role, User $user)
596 {
597 $returnValue = $this->service->unassignRoleFromUser($role, $user);
598 $this->signalDispatcher->emit(
599 new UnassignRoleFromUserSignal(
600 [
601 'roleId' => $role->id,
602 'userId' => $user->id,
603 ]
604 )
605 );
606
607 return $returnValue;
608 }
609
617 public function removeRoleAssignment(RoleAssignment $roleAssignment)
618 {
619 $returnValue = $this->service->removeRoleAssignment($roleAssignment);
620 $this->signalDispatcher->emit(
621 new RemoveRoleAssignmentSignal([
622 'roleAssignmentId' => $roleAssignment->id,
623 ])
624 );
625
626 return $returnValue;
627 }
628
639 public function loadRoleAssignment($roleAssignmentId)
640 {
641 return $this->service->loadRoleAssignment($roleAssignmentId);
642 }
643
653 public function getRoleAssignments(Role $role)
654 {
655 return $this->service->getRoleAssignments($role);
656 }
657
661 public function getRoleAssignmentsForUser(User $user, $inherited = false)
662 {
663 return $this->service->getRoleAssignmentsForUser($user, $inherited);
664 }
665
673 public function getRoleAssignmentsForUserGroup(UserGroup $userGroup)
674 {
675 return $this->service->getRoleAssignmentsForUserGroup($userGroup);
676 }
677
685 public function newRoleCreateStruct($name)
686 {
687 return $this->service->newRoleCreateStruct($name);
688 }
689
698 public function newPolicyCreateStruct($module, $function)
699 {
700 return $this->service->newPolicyCreateStruct($module, $function);
701 }
702
708 public function newPolicyUpdateStruct()
709 {
710 return $this->service->newPolicyUpdateStruct();
711 }
712
718 public function newRoleUpdateStruct()
719 {
720 return $this->service->newRoleUpdateStruct();
721 }
722
732 public function getLimitationType($identifier)
733 {
734 return $this->service->getLimitationType($identifier);
735 }
736
752 public function getLimitationTypesByModuleFunction($module, $function)
753 {
754 return $this->service->getLimitationTypesByModuleFunction($module, $function);
755 }
756 }
eZ\Publish\API\Repository\Values\User\Limitation\RoleLimitation
Definition: eZ/Publish/API/Repository/Values/User/Limitation/RoleLimitation.php:12
eZ\Publish\API\Repository\Values\User\PolicyCreateStruct
This class is used to create a policy.
Definition: API/Repository/Values/User/PolicyCreateStruct.php:13
eZ\Publish\API\Repository\Values\User\PolicyDraft
Definition: API/Repository/Values/User/PolicyDraft.php:13
eZ\Publish\API\Repository\Values\User\PolicyUpdateStruct
This class is used for updating a policy.
Definition: API/Repository/Values/User/PolicyUpdateStruct.php:14
eZ\Publish\API\Repository\Values\User\Policy
Definition: API/Repository/Values/User/Policy.php:21
eZ\Publish\API\Repository\Values\User\RoleAssignment
Definition: API/Repository/Values/User/RoleAssignment.php:18
eZ\Publish\API\Repository\Values\User\RoleCreateStruct
This class is used to create a new role.
Definition: API/Repository/Values/User/RoleCreateStruct.php:15
eZ\Publish\API\Repository\Values\User\RoleDraft
This class represents a draft of a role.
Definition: API/Repository/Values/User/RoleDraft.php:13
eZ\Publish\API\Repository\Values\User\RoleUpdateStruct
This class is used to update a role.
Definition: API/Repository/Values/User/RoleUpdateStruct.php:15
eZ\Publish\API\Repository\Values\User\Role
Definition: API/Repository/Values/User/Role.php:19
eZ\Publish\API\Repository\Values\User\UserGroup
Definition: API/Repository/Values/User/UserGroup.php:17
eZ\Publish\API\Repository\Values\User\User
Definition: Publish/API/Repository/Values/User/User.php:24
eZ\Publish\Core\SignalSlot\RoleService
RoleService class.
Definition: Core/SignalSlot/RoleService.php:44
eZ\Publish\Core\SignalSlot\RoleService\newRoleUpdateStruct
newRoleUpdateStruct()
Instantiates a policy update class.
Definition: Core/SignalSlot/RoleService.php:718
eZ\Publish\Core\SignalSlot\RoleService\getLimitationTypesByModuleFunction
getLimitationTypesByModuleFunction($module, $function)
Returns the LimitationType's assigned to a given module/function.
Definition: Core/SignalSlot/RoleService.php:752
eZ\Publish\Core\SignalSlot\RoleService\publishRoleDraft
publishRoleDraft(RoleDraft $roleDraft)
Publishes a given Role draft.
Definition: Core/SignalSlot/RoleService.php:310
eZ\Publish\Core\SignalSlot\RoleService\deleteRoleDraft
deleteRoleDraft(RoleDraft $roleDraft)
Deletes the given role draft.
Definition: Core/SignalSlot/RoleService.php:287
eZ\Publish\Core\SignalSlot\RoleService\loadRoleDraftByRoleId
loadRoleDraftByRoleId($roleId)
Loads a RoleDraft by the ID of the role it was created from.
Definition: Core/SignalSlot/RoleService.php:157
eZ\Publish\Core\SignalSlot\RoleService\deleteRole
deleteRole(Role $role)
Deletes the given role.
Definition: Core/SignalSlot/RoleService.php:482
eZ\Publish\Core\SignalSlot\RoleService\createRoleDraft
createRoleDraft(Role $role)
Creates a new RoleDraft for existing Role.
Definition: Core/SignalSlot/RoleService.php:116
eZ\Publish\Core\SignalSlot\RoleService\getLimitationType
getLimitationType($identifier)
Returns the LimitationType registered with the given identifier.
Definition: Core/SignalSlot/RoleService.php:732
eZ\Publish\Core\SignalSlot\RoleService\getRoleAssignmentsForUser
getRoleAssignmentsForUser(User $user, $inherited=false)
Definition: Core/SignalSlot/RoleService.php:661
eZ\Publish\Core\SignalSlot\RoleService\$service
$service
Definition: Core/SignalSlot/RoleService.php:50
eZ\Publish\Core\SignalSlot\RoleService\newRoleCreateStruct
newRoleCreateStruct($name)
Instantiates a role create class.
Definition: Core/SignalSlot/RoleService.php:685
eZ\Publish\Core\SignalSlot\RoleService\loadPoliciesByUserId
loadPoliciesByUserId($userId)
Loads all policies from roles which are assigned to a user or to user groups to which the user belong...
Definition: Core/SignalSlot/RoleService.php:505
eZ\Publish\Core\SignalSlot\RoleService\removePolicyByRoleDraft
removePolicyByRoleDraft(RoleDraft $roleDraft, PolicyDraft $policyDraft)
Removes a policy from a role draft.
Definition: Core/SignalSlot/RoleService.php:232
eZ\Publish\Core\SignalSlot\RoleService\updatePolicy
updatePolicy(Policy $policy, PolicyUpdateStruct $policyUpdateStruct)
Updates the limitations of a policy.
Definition: Core/SignalSlot/RoleService.php:421
eZ\Publish\Core\SignalSlot\RoleService\getRoleAssignments
getRoleAssignments(Role $role)
Returns the assigned user and user groups to this role.
Definition: Core/SignalSlot/RoleService.php:653
eZ\Publish\Core\SignalSlot\RoleService\$signalDispatcher
$signalDispatcher
Definition: Core/SignalSlot/RoleService.php:57
eZ\Publish\Core\SignalSlot\RoleService\__construct
__construct(RoleServiceInterface $service, SignalDispatcher $signalDispatcher)
Constructor.
Definition: Core/SignalSlot/RoleService.php:68
eZ\Publish\Core\SignalSlot\RoleService\assignRoleToUserGroup
assignRoleToUserGroup(Role $role, UserGroup $userGroup, RoleLimitation $roleLimitation=null)
Assigns a role to the given user group.
Definition: Core/SignalSlot/RoleService.php:520
eZ\Publish\Core\SignalSlot\RoleService\loadRole
loadRole($id)
Loads a role for the given id.
Definition: Core/SignalSlot/RoleService.php:445
eZ\Publish\Core\SignalSlot\RoleService\loadRoleDraft
loadRoleDraft($id)
Loads a role for the given id.
Definition: Core/SignalSlot/RoleService.php:142
eZ\Publish\Core\SignalSlot\RoleService\assignRoleToUser
assignRoleToUser(Role $role, User $user, RoleLimitation $roleLimitation=null)
Assigns a role to the given user.
Definition: Core/SignalSlot/RoleService.php:570
eZ\Publish\Core\SignalSlot\RoleService\removeRoleAssignment
removeRoleAssignment(RoleAssignment $roleAssignment)
Removes the given role assignment.
Definition: Core/SignalSlot/RoleService.php:617
eZ\Publish\Core\SignalSlot\RoleService\getRoleAssignmentsForUserGroup
getRoleAssignmentsForUserGroup(UserGroup $userGroup)
Returns the roles assigned to the given user group, excluding the ones the current user is not allowe...
Definition: Core/SignalSlot/RoleService.php:673
eZ\Publish\Core\SignalSlot\RoleService\loadRoles
loadRoles()
Loads all roles, excluding the ones the current user is not allowed to read.
Definition: Core/SignalSlot/RoleService.php:470
eZ\Publish\Core\SignalSlot\RoleService\newPolicyCreateStruct
newPolicyCreateStruct($module, $function)
Instantiates a policy create class.
Definition: Core/SignalSlot/RoleService.php:698
eZ\Publish\Core\SignalSlot\RoleService\updateRoleDraft
updateRoleDraft(RoleDraft $roleDraft, RoleUpdateStruct $roleUpdateStruct)
Updates the properties of a role draft.
Definition: Core/SignalSlot/RoleService.php:175
eZ\Publish\Core\SignalSlot\RoleService\unassignRoleFromUser
unassignRoleFromUser(Role $role, User $user)
removes a role from the given user.
Definition: Core/SignalSlot/RoleService.php:595
eZ\Publish\Core\SignalSlot\RoleService\addPolicyByRoleDraft
addPolicyByRoleDraft(RoleDraft $roleDraft, PolicyCreateStruct $policyCreateStruct)
Adds a new policy to the role draft.
Definition: Core/SignalSlot/RoleService.php:204
eZ\Publish\Core\SignalSlot\RoleService\loadRoleByIdentifier
loadRoleByIdentifier($identifier)
Loads a role for the given identifier.
Definition: Core/SignalSlot/RoleService.php:460
eZ\Publish\Core\SignalSlot\RoleService\addPolicy
addPolicy(Role $role, PolicyCreateStruct $policyCreateStruct)
Adds a new policy to the role.
Definition: Core/SignalSlot/RoleService.php:366
eZ\Publish\Core\SignalSlot\RoleService\loadRoleAssignment
loadRoleAssignment($roleAssignmentId)
Loads a role assignment for the given id.
Definition: Core/SignalSlot/RoleService.php:639
eZ\Publish\Core\SignalSlot\RoleService\deletePolicy
deletePolicy(Policy $policy)
Delete a policy.
Definition: Core/SignalSlot/RoleService.php:390
eZ\Publish\Core\SignalSlot\RoleService\createRole
createRole(RoleCreateStruct $roleCreateStruct)
Creates a new RoleDraft.
Definition: Core/SignalSlot/RoleService.php:89
eZ\Publish\Core\SignalSlot\RoleService\updateRole
updateRole(Role $role, RoleUpdateStruct $roleUpdateStruct)
Updates the name of the role.
Definition: Core/SignalSlot/RoleService.php:337
eZ\Publish\Core\SignalSlot\RoleService\newPolicyUpdateStruct
newPolicyUpdateStruct()
Instantiates a policy update class.
Definition: Core/SignalSlot/RoleService.php:708
eZ\Publish\Core\SignalSlot\RoleService\unassignRoleFromUserGroup
unassignRoleFromUserGroup(Role $role, UserGroup $userGroup)
removes a role from the given user group.
Definition: Core/SignalSlot/RoleService.php:545
eZ\Publish\Core\SignalSlot\RoleService\updatePolicyByRoleDraft
updatePolicyByRoleDraft(RoleDraft $roleDraft, PolicyDraft $policy, PolicyUpdateStruct $policyUpdateStruct)
Updates the limitations of a policy.
Definition: Core/SignalSlot/RoleService.php:264
eZ\Publish\Core\SignalSlot\SignalDispatcher
Dispatches Signals to their assigned Slots.
Definition: SignalDispatcher.php:20
eZ\Publish\Core\SignalSlot\Signal\RoleService\AddPolicyByRoleDraftSignal
AddPolicyByRoleDraftSignal class.
Definition: AddPolicyByRoleDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\AddPolicySignal
AddPolicySignal class.
Definition: AddPolicySignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\AssignRoleToUserGroupSignal
AssignRoleToUserGroupSignal class.
Definition: AssignRoleToUserGroupSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\AssignRoleToUserSignal
AssignRoleToUserSignal class.
Definition: AssignRoleToUserSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\CreateRoleDraftSignal
CreateRoleDraftSignal class.
Definition: CreateRoleDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\CreateRoleSignal
CreateRoleSignal class.
Definition: CreateRoleSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\DeleteRoleDraftSignal
DeleteRoleDraftSignal class.
Definition: DeleteRoleDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\DeleteRoleSignal
DeleteRoleSignal class.
Definition: DeleteRoleSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\PublishRoleDraftSignal
PublishRoleDraftSignal class.
Definition: PublishRoleDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\RemovePolicyByRoleDraftSignal
RemovePolicyByRoleDraftSignal class.
Definition: RemovePolicyByRoleDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\RemovePolicySignal
RemovePolicySignal class.
Definition: RemovePolicySignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\RemoveRoleAssignmentSignal
RemoveRoleAssignmentSignal class.
Definition: RemoveRoleAssignmentSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\UnassignRoleFromUserGroupSignal
UnassignRoleFromUserGroupSignal class.
Definition: UnassignRoleFromUserGroupSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\UnassignRoleFromUserSignal
UnassignRoleFromUserSignal class.
Definition: UnassignRoleFromUserSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\UpdatePolicySignal
UpdatePolicySignal class.
Definition: UpdatePolicySignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\UpdateRoleDraftSignal
UpdateRoleDraftSignal class.
Definition: UpdateRoleDraftSignal.php:15
eZ\Publish\Core\SignalSlot\Signal\RoleService\UpdateRoleSignal
UpdateRoleSignal class.
Definition: UpdateRoleSignal.php:15
eZ\Publish\API\Repository\RoleService
This service provides methods for managing Roles and Policies.
Definition: API/Repository/RoleService.php:26
eZ\Publish\Core\SignalSlot
Definition: Core/SignalSlot/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.